Subject: Re: Your F-105G photoss are on ARC
From: "Steve Bamford" <[email-masked]>
To: "Mishel-p" <[email-masked]>
Date: Tue, 28 Nov 2000 11:25:56 -0800

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com
  ----- Original Message ----- 
  From: Mishel-p 
  To: Steve Bamford 
  Sent: Tuesday, October 10, 2000 4:24 AM
  Subject: Re: Your F-105G photoss are on ARC

  Hello Steve! Thank you for loading my photos on the ARC site. I hope this information could be interesting for the Thunderbolt modelers.   

  I would like to send you some walkaround photos of the Su-24 aircraft. I used to design fiber-optic systems for modern military aircraft such as Su-17/22, Su-24, and Su-34 and have some detailed photos of Su-24 and some other Russian aircraft. These pictures were taken on the Air bases, museums and Air Shows.  I hope you will like them. 

  Best regards, Michel Poutnikov